const express = require('express');
const router = express.Router();
const companyController = require('../controllers/companyController');
const { authenticate } = require('../middlewares/auth');

router.get('/', authenticate, companyController.getAll);
router.get('/:id', authenticate, companyController.getById);
router.post('/', authenticate, companyController.create);
router.put('/:id', authenticate, companyController.update);
router.delete('/:id', authenticate, companyController.delete);

module.exports = router;

